Package com.io7m.coffeepick.runtime.format.xml

# Class FormatXML1RuntimeChildBuild.Builder

java.lang.Object
com.io7m.coffeepick.runtime.format.xml.FormatXML1RuntimeChildBuild.Builder

Enclosing class:
  FormatXML1RuntimeChildBuild

    public static final class FormatXML1RuntimeChildBuild.Builder
    extends java.lang.Object

Builds instances of type `FormatXML1RuntimeChildBuild`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `FormatXML1RuntimeChildBuild` | `build()` | Builds a new `FormatXML1RuntimeChildBuild`.
  `FormatXML1RuntimeChildBuild.Builder` | `from​(FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType instance)` | Fill a builder with attribute values from the provided `FormatXML1RuntimeChildBuildType` instance.
  `FormatXML1RuntimeChildBuild.Builder` | `setBuild​(RuntimeBuild build)` | Initializes the value for the `build` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final FormatXML1RuntimeChildBuild.Builder from​(FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType instance)
    Fill a builder with attribute values from the provided `FormatXML1RuntimeChildBuildType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setBuild

    public final FormatXML1RuntimeChildBuild.Builder setBuild​(RuntimeBuild build)
    Initializes the value for the `build` attribute.
    Parameters:
      `build` - The value for build
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public FormatXML1RuntimeChildBuild build()
    Builds a new `FormatXML1RuntimeChildBuild`.
    Returns:
      An immutable instance of FormatXML1RuntimeChildBuild
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing